Bug 107033 - After import of docx the length of Footnote Separator Line is 0%
Summary: After import of docx the length of Footnote Separator Line is 0%
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.2.6.2 release
Hardware: All All
: medium normal
Assignee: Miklos Vajna
QA Contact:
URL:
Whiteboard: target:5.4.0 target:5.3.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2017-04-08 19:09 UTC by Karl-Heinz Zimmer
Modified: 2017-05-04 11:44 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Karl-Heinz Zimmer 2017-04-08 19:09:05 UTC
Description:
Opening a .docx document that has NO footnotes will set the (previously correct) length of the footnote Separator Line to 0%.

Steps to Reproduce:
1. Start LibreOffice Writer: The new default empty text document appears. 
2. Open a .docx text document that does NOT have any footnotes.
3. Add a footnote

Alternatively (instead of 1. and 2.) you could also open the .docx document by clicking onto it in the file manager (when Writes is not running) so Writer will be started and the document be loaded.

Actual Results:  
There will be no Separator Line visible above the footnote.

If you look into Format / Page the dialog will show the Separator Line has a length of 0%.

Expected Results:
Loading a .docx document that has no footnotes should NOT alter the length of the footnote separator line but just leave it at its default of 25%.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 Xisco Faulí 2017-04-12 11:32:32 UTC
Regression introduced by:

author	Miklos Vajna <vmiklos@collabora.co.uk>	2013-09-04 14:08:49 (GMT)
committer	Miklos Vajna <vmiklos@collabora.co.uk>	2013-09-04 14:44:51 (GMT)
commit	330b860205c7ba69dd6603f65324d0f89ad9cd5f (patch)
tree	39f845453bbf0c1cb6d2b7f0d7f95860b1a3f226
parent	dc86610d16a561ff1a0455d5fef157431f9271e3 (diff)
fdo#68787 DOCX import: handle when w:separator is missing for footnotes
There were two problems here:

1) OOXML has no way to explicitly disable the footnote separator, what
is does is that it omits the <w:separator/> element in that case. We
didn't parse that previously -- now we do, and if it's missing, the
separator is disabled.

2) The footnote stream isn't read by the importer, only when the main
stream references the footnote one, the relevant part of it is parsed.
At the moment we always parse the first (special, "separator") entry in
the footnote stream, that may be optimized later if it becomes a
bottleneck.

Bisected with bibisect-42max

Adding Cc: to Miklos Vajna
Comment 2 Commit Notification 2017-05-03 15:05:21 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e79ef12b7a904f17d4147fa409d055c12b70f952

tdf#107033 DOCX import: fix unexpected missing footnote separator

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2017-05-04 11:44:04 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cc6a55d687581db1a174b2a7d01f8a62887b5e24&h=libreoffice-5-3

tdf#107033 DOCX import: fix unexpected missing footnote separator

It will be available in 5.3.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.